curl "https://api.smartcar.com/v2.0/vehicles/{id}" \
-H "Authorization: Bearer {token}" \
-X "GET"
attributes = vehicle.attributes()
const attributes = await vehicle.attributes();
VehicleAttributes attributes = vehicle.attributes();
attributes = vehicle.attributes
{
"id": "36ab27d0-fd9d-4455-823a-ce30af709ffc",
"make": "TESLA",
"model": "Model S",
"year": "2014"
}
Vehicle Data
Vehicle Attributes
Returns a single vehicle object, containing identifying information.
curl "https://api.smartcar.com/v2.0/vehicles/{id}" \
-H "Authorization: Bearer {token}" \
-X "GET"
attributes = vehicle.attributes()
const attributes = await vehicle.attributes();
VehicleAttributes attributes = vehicle.attributes();
attributes = vehicle.attributes
{
"id": "36ab27d0-fd9d-4455-823a-ce30af709ffc",
"make": "TESLA",
"model": "Model S",
"year": "2014"
}
The Vehicles API v2.0 will be deprecated on December 1, 2026. The latest version, v3, was introduced on August 26, 2025. We recommend migrating as soon as possible to ensure continued support and access to new features.
Permission
read_vehicle_info
Request
Pathstring
required
The vehicle ID of the vehicle you are making a request to.
curl "https://api.smartcar.com/v2.0/vehicles/{id}" \
-H "Authorization: Bearer {token}" \
-X "GET"
attributes = vehicle.attributes()
const attributes = await vehicle.attributes();
VehicleAttributes attributes = vehicle.attributes();
attributes = vehicle.attributes
Response
string
The ID for the vehicle.
string
The manufacturer of the vehicle.
string
The model of the vehicle.
integer
The model year.
{
"id": "36ab27d0-fd9d-4455-823a-ce30af709ffc",
"make": "TESLA",
"model": "Model S",
"year": "2014"
}
Was this page helpful?

